Subject: Renew and Rebind messages: DHCPv6

From: [email-masked]
Date: Mon, 21 May 2001 14:13:24 +0530

>From the draft 18 on DHCPv6 I have the following doubts on DHCP RENEW and
REBIND messages:-
1. Significance of server preference field in REPLY message for RENEW:-
Since the client is contacting a particular server from which it acquired
parameters, is the any importance to the preference field of REPLY message
for RENEW. Or it is simply to bring commonality for REPLY messages.
2. Why we need to have RENEW and REBIND as seperate messages:-
There is no significant difference between the message formats, except that
in RENEW the server address field is the address of server from which the
client acquired the parameters, and in case of REBIND it is 0's. There is
no difference in the way the server reacts when it receives a renew or
rebind messages ( except if something goes into 'implementation specific
manner'). Or any security factors are involved.

thanks and regards
   Suresh Kodati
   Email:- [email-masked]